#include <stdio.h>
#include <sys/types.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <malloc.h>

  int dw, dh,dx,dy;

dowindow(Display *d,Window w)
{
  int xr, yr, wr, hr, br, dr;
  Window r;

      XGetGeometry (d, w, &r, &xr, &yr, &wr, &hr, &br, &dr);

      if ((wr != dw) || (hr != dh) || (xr!=dx) || (yr!=dy))
        {
          XMoveResizeWindow (d, w, dx, dy, dw, dh);
          XFlush (d);
        }

}


void
checkon (Display * d, Window w, Atom a, char *match)
{
  Window rr, pr, *c, *p;
  int n;
  XTextProperty t;
  int ret = 0;

  if (!match) return;

  if (XGetTextProperty (d, w, &t, a))
    {
      if (!strcmp (t.value,match))
        {
	  dowindow(d,w);
        }
      XFree (t.value);
    }

  n = 0;
  XQueryTree (d, w, &rr, &pr, &c, &n);

  p = c;

  while (n--)
    {
      checkon (d, *p, a, match);
      p++;
    }
  XFree (c);


}


int
main (int argc, char *argv[])
{
  Display *d;
  Window r, w;
  Atom a;
  Screen *s;




  dx=0;
  dy=0;

  d = XOpenDisplay (NULL);
  r = DefaultRootWindow (d);

  if (argc >= 3)
    {
      dw = atoi (argv[1]);
      dh = atoi (argv[2]);
       if (argc==5) {
      dx = atoi (argv[3]);
      dy = atoi (argv[4]);


	}

    }
  else
    {
      s = ScreenOfDisplay (d, DefaultScreen (d));

      dw = WidthOfScreen (s);
      dh = HeightOfScreen (s);
    }

  a = XInternAtom (d, "WM_ICON_NAME", False);

while (1) {
  checkon (d, r, a, "RealPlayer");
	sleep(1);
}






}
